---------------------------------------------------------------------------------------------------
--  Copyright © 2009 PoBros, Incorporated. All Rights Reserved.
--
--  This source code is the proprietary confidential property of PoBros Incorporated.
--  Modification, reproduction, publication, or distribution in any form to any party 
--  other than the licensee is strictly prohibited.
--
--  FOR USE BY AUTHORIZED PERSONS ONLY
---------------------------------------------------------------------------------------------------

require( "scripts/style.lua" );

---------------------------------------------------------------------------------------------------

MakeDialog
{
	name = "continuegame";
	SetStyle( GameWindowStyle );
	
	GameWindow
	{
		SetStyle( DialogWindowStyle );
		
		DialogWindow
		{
			SetStyle( DialogTitleText );
			
			Text
			{
				name = "title";
				label = "continuegametitle";
			};
			
			SetStyle( DialogBodyText );
			
			Text
			{
				y = kCenter - 40;
				name = "body";
				label = "continuegamebody";
			};
			
			SetStyle( ThreeStackedButtonDialogButton1Style );
			
			Button
			{
				name = "continue";
				text = "continue";
				
				command =
					function()
						WindowReturn( "continue" );
					end
			};
			
			SetStyle( ThreeStackedButtonDialogButton2Style );
			
			Button
			{
				name = "startnew";
				text = "startnew";
				
				command =
					function()
						action = DisplayDialog
								 {
								     "scripts/yesno.lua";
								     title = "erasegametitle";
								     body = "erasegamebody";
								 };

						if( action == "yes" ) then
							WindowReturn( "startnew" );
						end
					end
			};
			
			SetStyle( ThreeStackedButtonDialogButton3Style );
			
			Button
			{
				name = "cancel";
				text = "cancel";
				
				command =
					function()
						WindowReturn( "cancel" );
					end
			};
		};
	};
};

---------------------------------------------------------------------------------------------------